Bug Hunting Session
Bug 117857 - Korean Hangul/Hanja Conversion Menu's "add Korean Ruby script" does not work
Summary: Korean Hangul/Hanja Conversion Menu's "add Korean Ruby script" does not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2018-05-28 15:58 UTC by DaeHyun Sung
Modified: 2019-06-16 20:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice's Hangul/Hanja Conversion screenshot (408.32 KB, image/png)
2018-05-28 16:02 UTC, DaeHyun Sung
Details
OpenOffice's Hangul/Hanja Conversion screenshot (732.99 KB, image/png)
2018-05-28 16:04 UTC, DaeHyun Sung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2018-05-28 15:58:31 UTC
Description:
After input a Korean Hangul Character "한", 
Choose Tools - Language - Hangul/Hanja Conversion (Asian language support must be enabled)
shown selection radio buttons.
"Hangul/Hanja" - The original characters are replaced by the suggested characters.
"Hanja (Hangul)" - The Hangul part will be displayed in brackets after the Hanja part.
"Hangul (Hanja)" - The Hanja part will be displayed in brackets after the Hangul part.
"Hanja as ruby text above" - The Hanja part will be displayed as ruby text above the Hangul part.
"Hanja as ruby text below" - The Hanja part will be displayed as ruby text below the Hangul part.
"Hangul as ruby text above" - The Hangul part will be displayed as ruby text above the Hanja part.
"Hangul as ruby text below" - The Hangul part will be displayed as ruby text below the Hanja part.

Unlike OpenOffice, LibreOffice allows user to duplicate the above radio button two regions.
between non-ruby regions radio buttons("Hangul/Hanja","Hanja (Hangul)","Hangul (Hanja)" ) and ruby regions radio buttons("Hanja as ruby text above","Hanja as ruby text below","Hangul as ruby text above","Hangul as ruby text below" )
(It's bugs)

and It can't convert to ruby text("Hanja as ruby text above","Hanja as ruby text below","Hangul as ruby text above","Hangul as ruby text below" )

However, OpenOffice's same menu is correctly working. 
ex) 한 -> open menu, then select "Hanja as ruby text above" -> convert it!

The Hanja part "漢" will be displayed as ruby text above the Hangul part "한".



Steps to Reproduce:
- input a Korean Hangul Character "한" then, Choose Tools - Language - Hangul/Hanja Conversion , select both "漢" and "Hanja as ruby text above", do Hangul/Hanja conversion.
Expected result: The Hanja part "漢" will be displayed as ruby text above the Hangul part "한".

1. input a Korean Hangul Character "한"
2. Choose Tools - Language - Hangul/Hanja Conversion 
3. select both "Hanja as ruby text above" and "漢" then convert it
4. result: 漢

Actual Results:  
漢

Expected Results:
The Hanja part "漢" will be displayed as ruby text above the Hangul part "한".


Reproducible: Always


User Profile Reset: No



Additional Info:
OpenOffice 4.1.5's same feature "Hangul/Hanja Conversion " is correctly working.


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.181 Safari/537.36
Comment 1 DaeHyun Sung 2018-05-28 16:02:39 UTC
Created attachment 142350 [details]
LibreOffice's Hangul/Hanja Conversion screenshot

LibreOffice's Hangul/Hanja Conversion screenshot.
Not working.
Comment 2 DaeHyun Sung 2018-05-28 16:04:02 UTC
Created attachment 142351 [details]
OpenOffice's Hangul/Hanja Conversion screenshot

OpenOffice's Hangul/Hanja Conversion screenshot
Hangul/Hanja Conversion menu is the same as LibreOffice.
Comment 3 Julien Nabet 2018-05-28 20:21:55 UTC
On pc Debian x86-64 with master sources updated today, I created a brand new odt file, copy pasted your character then tried "Tools/language/Hangul/Hanja Conversion" but it didn't open any dialog.

Must I use specific locale or check any option?
Comment 4 DaeHyun Sung 2018-05-29 01:08:24 UTC
I found the Hangul/Hanja Conversion section of the libreoffice English manual
Link: https://help.libreoffice.org/latest/en-US/text/shared/01/06200000.html?DbPAR=SHARED#bm_id3155757

"""
To access this command...

Choose Tools - Language - Hangul/Hanja Conversion (Asian language support must be enabled)
"""
I think, that menu is only visible when Asian language support is selected.

In my opinion, use to select "Asian language support" option.

(In reply to Julien Nabet from comment #3)
> On pc Debian x86-64 with master sources updated today, I created a brand new
> odt file, copy pasted your character then tried "Tools/language/Hangul/Hanja
> Conversion" but it didn't open any dialog.
> 
> Must I use specific locale or check any option?
Comment 5 Julien Nabet 2018-05-29 21:05:13 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Thank you DaeHyun Sung, I finally found!
I had to select "Korean (RoK)" for User interface + select for "Asian:" drop down associated list "Korean (RoK)"
Comment 6 QA Administrators 2019-05-30 02:54:46 UTC Comment hidden (obsolete)
Comment 7 Mark Hung 2019-05-31 12:03:35 UTC
This still an issue with 6.2.3.2 as well as the master branch.
Tested with
版本:6.2.3.2 (x64)
組建 ID:aecc05fe267cc68dde00352a451aa867b3b546ac
CPU 執行緒:8; OS:Windows 10.0; UI 算繪:預設; VCL: win; 
語言地區:zh-TW (zh_TW); UI語言:zh-TW
Calc: threaded



@DaeHun Sung:
inspecting the source code, UI configuration file
cui/uiconfig/ui/hangulhanjaconversiondialog.ui

"group" property of the GtkRadioButton object "simpleconversion" is missing.
( Just compare that one with other GtkRadioButton. ) 

This should be an EasyHack. Do you want to take this issue?
Comment 8 DaeHyun Sung 2019-06-04 17:11:05 UTC
(In reply to Mark Hung from comment #7)
> This still an issue with 6.2.3.2 as well as the master branch.
> Tested with
> 版本:6.2.3.2 (x64)
> 組建 ID:aecc05fe267cc68dde00352a451aa867b3b546ac
> CPU 執行緒:8; OS:Windows 10.0; UI 算繪:預設; VCL: win; 
> 語言地區:zh-TW (zh_TW); UI語言:zh-TW
> Calc: threaded
> 
> 
> 
> @DaeHun Sung:
> inspecting the source code, UI configuration file
> cui/uiconfig/ui/hangulhanjaconversiondialog.ui
> 
> "group" property of the GtkRadioButton object "simpleconversion" is missing.
> ( Just compare that one with other GtkRadioButton. ) 
> 
> This should be an EasyHack. Do you want to take this issue?

Yes, I'll check and work it on this weekend.
Comment 9 DaeHyun Sung 2019-06-15 14:52:17 UTC
When I modified it according to your advice on MacOSX, It works.

So I'll check it on Linux soon, Also If It works, I'll submit it.

(In reply to Mark Hung from comment #7)
> This still an issue with 6.2.3.2 as well as the master branch.
> Tested with
> 版本:6.2.3.2 (x64)
> 組建 ID:aecc05fe267cc68dde00352a451aa867b3b546ac
> CPU 執行緒:8; OS:Windows 10.0; UI 算繪:預設; VCL: win; 
> 語言地區:zh-TW (zh_TW); UI語言:zh-TW
> Calc: threaded
> 
> 
> 
> @DaeHun Sung:
> inspecting the source code, UI configuration file
> cui/uiconfig/ui/hangulhanjaconversiondialog.ui
> 
> "group" property of the GtkRadioButton object "simpleconversion" is missing.
> ( Just compare that one with other GtkRadioButton. ) 
> 
> This should be an EasyHack. Do you want to take this issue?
Comment 10 DaeHyun Sung 2019-06-15 16:06:05 UTC
I modified and checked it on Linux.

I just submit to fix UI script.
https://gerrit.libreoffice.org/#/c/74105/




(In reply to DaeHyun Sung from comment #9)
> When I modified it according to your advice on MacOSX, It works.
> 
> So I'll check it on Linux soon, Also If It works, I'll submit it.
> 
> (In reply to Mark Hung from comment #7)
> > This still an issue with 6.2.3.2 as well as the master branch.
> > Tested with
> > 版本:6.2.3.2 (x64)
> > 組建 ID:aecc05fe267cc68dde00352a451aa867b3b546ac
> > CPU 執行緒:8; OS:Windows 10.0; UI 算繪:預設; VCL: win; 
> > 語言地區:zh-TW (zh_TW); UI語言:zh-TW
> > Calc: threaded
> > 
> > 
> > 
> > @DaeHun Sung:
> > inspecting the source code, UI configuration file
> > cui/uiconfig/ui/hangulhanjaconversiondialog.ui
> > 
> > "group" property of the GtkRadioButton object "simpleconversion" is missing.
> > ( Just compare that one with other GtkRadioButton. ) 
> > 
> > This should be an EasyHack. Do you want to take this issue?
Comment 11 Commit Notification 2019-06-16 02:13:47 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cf4059d59752de6e9a6eca59b388beef27bcd7e6%5E%21

tdf#117857 fix to work "add Korean Ruby script"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.